Package picard.fingerprint

# Class CappedHaplotypeProbabilities

java.lang.Object
picard.fingerprint.HaplotypeProbabilities
picard.fingerprint.CappedHaplotypeProbabilities

public class CappedHaplotypeProbabilities extends HaplotypeProbabilities

## Nested Class Summary

## Nested classes/interfaces inherited from class picard.fingerprint.HaplotypeProbabilities

`HaplotypeProbabilities.Genotype`

## Constructor Summary

Constructors
Constructor
Description
`CappedHaplotypeProbabilities(HaplotypeProbabilities haplotypeProbabilities, double cap)`

## Method Summary

Modifier and Type
Method
Description
`HaplotypeProbabilities`
`deepCopy()`
`double[]`
`getLikelihoods()`
Converts the loglikelihoods into linear-space with normalizing.
`double[]`
`getLikelihoods0()`
`double`
`getLodMostProbableGenotype()`
Overridden to calculate the LOD from the loglikelihoods instead of the probabilities because it will allow for more accurate calculation before overflowing.
`double[]`
`getLogLikelihoods()`
Since this class uses log-rawLikelihoods natively, we override and return the native variable
`double[]`
`getPosteriorProbabilities()`
getter for posteriorProbs
`protected double[]`
`getPosteriorProbabilities0()`
Returns the posterior probability of the haplotypes given the evidence (uses the internal prior)
`Snp`
`getRepresentativeSnp()`
Simple returns the SNP from the haplotype that has the lowest genome coordinate.
`boolean`
`hasEvidence()`
Returns true if evidence has been added, false if the probabilities are just the priors.
`picard.fingerprint.HaplotypeProbabilitiesUsingLogLikelihoods`
`merge(HaplotypeProbabilities other)`
Merges information from another haplotype probabilities object for the same haplotype into this object.
`void`
`setLogLikelihoods(double[] ll)`

### Methods inherited from class picard.fingerprint.HaplotypeProbabilities

`getHaplotype, getMostLikelyGenotype, getMostLikelyHaplotype, getObsAllele1, getObsAllele2, getPosteriorLikelihoods, getPriorProbablities, getTotalObs, scaledEvidenceProbabilityUsingGenotypeFrequencies, shiftedLogEvidenceProbability, shiftedLogEvidenceProbabilityGivenOtherEvidence, shiftedLogEvidenceProbabilityUsingGenotypeFrequencies`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CappedHaplotypeProbabilities

public CappedHaplotypeProbabilities(HaplotypeProbabilities haplotypeProbabilities, double cap)

## Method Details

### deepCopy

public HaplotypeProbabilities deepCopy()

Specified by:
  `deepCopy` in class `HaplotypeProbabilities`

### getRepresentativeSnp

public Snp getRepresentativeSnp()
Simple returns the SNP from the haplotype that has the lowest genome coordinate.

Specified by:
  `getRepresentativeSnp` in class `HaplotypeProbabilities`

### hasEvidence

public boolean hasEvidence()
Description copied from class: `HaplotypeProbabilities`
Returns true if evidence has been added, false if the probabilities are just the priors.

Overrides:
  `hasEvidence` in class `HaplotypeProbabilities`

### merge

public picard.fingerprint.HaplotypeProbabilitiesUsingLogLikelihoods merge(HaplotypeProbabilities other)
Merges information from another haplotype probabilities object for the same haplotype into this object. Useful for when probabilities need to be merged to levels higher than the read group, e.g. the sample or individual.

Specified by:
  `merge` in class `HaplotypeProbabilities`
Parameters:
  `other` - Another haplotype probabilities object to merge in (must of the the same class and for the same HaplotypeBlock)
Returns:

### getPosteriorProbabilities0

protected double[] getPosteriorProbabilities0()
Returns the posterior probability of the haplotypes given the evidence (uses the internal prior)

### getPosteriorProbabilities

public double[] getPosteriorProbabilities()
getter for posteriorProbs

Overrides:
  `getPosteriorProbabilities` in class `HaplotypeProbabilities`

### getLikelihoods

public double[] getLikelihoods()
Converts the loglikelihoods into linear-space with normalizing.

Specified by:
  `getLikelihoods` in class `HaplotypeProbabilities`

### getLikelihoods0

public double[] getLikelihoods0()

### getLogLikelihoods

public double[] getLogLikelihoods()
Since this class uses log-rawLikelihoods natively, we override and return the native variable

Overrides:
  `getLogLikelihoods` in class `HaplotypeProbabilities`

### setLogLikelihoods

public void setLogLikelihoods(double[] ll)

### getLodMostProbableGenotype

public double getLodMostProbableGenotype()
Overridden to calculate the LOD from the loglikelihoods instead of the probabilities because it will allow for more accurate calculation before overflowing.

Overrides:
  `getLodMostProbableGenotype` in class `HaplotypeProbabilities`